List Extracted Rules
curl --request POST \
--url https://api.velt.dev/v2/memory/knowledge/rules \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"sourceId": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/memory/knowledge/rules"
payload = { "data": { "sourceId": "<string>" } }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {sourceId: '<string>'}})
};
fetch('https://api.velt.dev/v2/memory/knowledge/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"id": "rule_1",
"content": "Medical claims must cite a source.",
"category": "compliance",
"index": 0
}
]
}
List Extracted Rules
List the policy rules extracted from a rule-based knowledge source in Velt Memory v2, including rule text, IDs, and source metadata.
POST
/
v2
/
memory
/
knowledge
/
rules
List Extracted Rules
Use this API to list the rules extracted from a rule-based knowledge source.
Endpoint
POST https://api.velt.dev/v2/memory/knowledge/rules
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
The knowledge source id returned by Ingest Knowledge.
Example Requests
List a source’s rules
{
"data": {
"sourceId": "src_9a8..."
}
}
Response
Each rule includes itsid, the rule content, a category, and its index in the source.
Success Response
{
"result": [
{
"id": "rule_1",
"content": "Medical claims must cite a source.",
"category": "compliance",
"index": 0
}
]
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": [
{
"id": "rule_1",
"content": "Medical claims must cite a source.",
"category": "compliance",
"index": 0
}
]
}
Was this page helpful?
⌘I

